<?php
class session {
	public static function set_form_token() {
		// set the token     
		if(!isset($_SESSION['token']) || empty($_SESSION['token']))
			$_SESSION['token'] = sha1(uniqid().time().'gr564gd654fsa456d'); // here I make use of a random salt to make the session token unpredictable
		// if form was sent
		if(isset($_POST) && !empty($_POST)) {
			// if token is NOT the right token
			if(!self::is_right_token()) {
				global $errors;
				$errors[] = 'Error. Wrong form token.';
			} elseif(self::is_right_token()) {
				$_SESSION['token'] = sha1(uniqid().time());
			}
		}
	}
	public static function is_right_token() {
		// if token is the right token
		if(isset($_POST['token']) && $_POST['token'] == $_SESSION['token'])
			return true;
	}
}
?>